Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.utils
Class DependencyVersionUtil

    java.lang.Object
      org.owasp.dependencycheck.utils.DependencyVersionUtil

    public final class DependencyVersionUtil

extends Object

A utility class to extract version numbers from file names (or other strings containing version numbers.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Method Summary
`static DependencyVersion` | `parseVersion(String text)` A utility class to extract version numbers from file names (or other strings containing version numbers. Example: Give the file name: library-name-1.4.1r2-release.jar This function would return: 1.4.1.r2

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parseVersion

    public static DependencyVersion parseVersion(String text)

  A utility class to extract version numbers from file names (or other strings containing version numbers.
  Example:
  Give the file name: library-name-1.4.1r2-release.jar
  This function would return: 1.4.1.r2

  Parameters:
    `text` - the text being analyzed
  Returns:
    a DependencyVersion containing the version

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.